Package twisted :: Package internet :: Module protocol :: Class ProcessProtocol

[show private | hide private]
[frames | no frames]

## Class ProcessProtocol

    BaseProtocol --+
                   |
                  ProcessProtocol

Known Subclasses:
  `SSHSessionProtocol`, `_BackRelay`, `_ValueGetter`, `LoggingProtocol`, `CGIProcessProtocol`

Processes have some additional methods besides receiving data.

Method Summary
| ``errConnectionLost`(self)` This will be called when stderr is closed.
| ``errReceived`(self, data)` Some data was received from stderr.
| ``inConnectionLost`(self)` Called when stdin is shut down.
| ``outConnectionLost`(self)` Called when stdout is shut down.
| ``outReceived`(self, data)` Some data was received from stdout.
| ``processEnded`(self, reason)` This will be called when the subprocess is finished.

Method Details

### errConnectionLost(self)

This will be called when stderr is closed.

### errReceived(self, data)

Some data was received from stderr.

### inConnectionLost(self)

Called when stdin is shut down.

### outConnectionLost(self)

Called when stdout is shut down.

### outReceived(self, data)

Some data was received from stdout.

### processEnded(self, reason)

This will be called when the subprocess is finished.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)

Generated by Epydoc 1.1 on Sat Feb 15 21:17:52 2003 | http://epydoc.sf.net